<?php
session_start();
                                include_once("../scripts/connect.php");
   $conexion=conecta_default();
   
   include_once("../scripts/session.php");
   //Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/

     header("Location: ../index.php?err=NoSesion");

    }/*no hay sesion*/

    else{

       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
       $sesion->setSesion();

    }
    //fin validar session

	function regresames($mes){





	   switch($mes) 



				{

					case '01': $mesletra="Enero"; $diaf=31; break;

					case '02': $mesletra="Febrero"; $diaf=28; break;

					case '03': $mesletra="Marzo"; $diaf=31; break;

					case '04': $mesletra="Abril"; $diaf=30; break;

					case '05': $mesletra="Mayo"; $diaf=31; break;

					case '06': $mesletra="Junio"; $diaf=30; break;

					case '07': $mesletra="Julio"; $diaf=31; break;

					case '08': $mesletra="Agosto"; $diaf=31; break;

					case '09': $mesletra="Septiembre"; $diaf=30; break;

					case '10': $mesletra="Octubre"; $diaf=31; break;

					case '11': $mesletra="Noviembre"; $diaf=30; break;

					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	

	return $mesletra;}

	

	

$sql="SELECT rfc,id_inver FROM usuario,inversionista WHERE inversionista.id_inver=usuario.inversionista_id_inver and usuario.idusuario = '".$dato[0]."'";

$result=mysqli_query($conexion, $sql);

$usr=mysqli_fetch_object($result);

$id_sesion2=$usr->rfc;

$id_invers=$usr->id_inver;



 $busqusr2 = "SELECT month(curdate())-1 as elmes, year(curdate()) as elano";

   $cons2 = mysqli_query($conexion, $busqusr2) or die ('Err0: '.mysqli_error($conexion));

   $usr2 = mysqli_fetch_object($cons2);

   $mes3 = $usr2->elmes; $ano3 = $usr2->elano; 

    if($mes3==0){$mes3=12; $ano3=$ano3-1;}

   if($mes3>=2){$mes2=$mes3-1; $ano2=$ano3;}else{$mes2=12; $ano2=$ano3-1;}

    if($mes2>=2){$mes1=$mes2-1; $ano1=$ano2;}else{$mes1=12; $ano1=$ano3-1;}

	if($mes1>=2){$mes0=$mes1-1; $ano0=$ano1;}else{$mes0=12; $ano0=$ano2-1;}  

	$mes3l=regresames($mes3);

	$mes2l=regresames($mes2);

	$mes1l=regresames($mes1);
    $mes0l=regresames($mes0);   

    

   //echo "Tus datos son los siguientes: <br /> <br />";

    

			

				



echo"<br><center><font color=\"#5C3C12\" size=\"+2\">Regal&iacute;as por Pagar</font><BR>

<br> Selecciona un periodo:

<form name=\"Agrega\" action=\"pagarregalias.php\" method=\"post\">

  <br>

Periodo: <select name=\"fecha\">

      <option value=\"$ano3-$mes3-01\">$mes3l $ano3</option>

      <option value=\"$ano2-$mes2-01\">$mes2l $ano2</option>

      <option value=\"$ano1-$mes1-01\">$mes1l $ano1</option>
      
      <option value=\"$ano0-$mes0-01\">$mes0l $ano0</option> 

      </select><br><br>

	  <input type=hidden name=iddist value=$id_invers>

	  <input type=hidden name=mesnum1 value=$mes1>

	  <input type=hidden name=mesnum2 value=$mes2>

	  <input type=hidden name=mesnum3 value=$mes3>

	  <input type=hidden name=anonum1 value=$ano1>

	  <input type=hidden name=anonum2 value=$ano2>

	  <input type=hidden name=anonum3 value=$ano3>
             <input type=hidden name=mesnum0 value=$mes0>

      <input type=hidden name=anonum0 value=$ano0>
	  

	  <table>

	  <tr><td><input type=\"submit\" name=\"lista1\" id=\"aceptar\" value=\"Generar Regalias\" /></td>

	</tr>

</table>

<br><br>

";





?>



